<!--
  Generated template for the MitarbeiterCreatePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    <ion-title>Mitarbeiter anlegen</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-card>
    <form [formGroup]="mitForm">

      <ion-item>
        <ion-label floating>Nachname</ion-label>
        <ion-input [formControl]="mitForm.controls['nachname']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Vorname</ion-label>
        <ion-input [formControl]="mitForm.controls['vorname']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Benutzername</ion-label>
        <ion-input [formControl]="mitForm.controls['username']"
                   type="text"></ion-input>
      </ion-item>

      <ion-item>
        <ion-label floating>Passwort</ion-label>
        <ion-input [formControl]="mitForm.controls['password']"
                   type="password"></ion-input>
      </ion-item>

      <ion-row padding>
        <ion-col text-center>
          <button ion-button block color="primary" (click)="createMit()" [disabled]="!mitForm.valid">
            Anlegen
          </button>
        </ion-col>
      </ion-row>

    </form>
  </ion-card>
</ion-content>
